/*
 * @Author: LiZhiWei
 * @Date: 2025-04-09 09:05:25
 * @LastEditors: LiZhiWei
 * @LastEditTime: 2025-04-15 15:39:42
 * @Description:
 */
import { defineConfig } from "vite"
import path from 'path'
import { createVuePlugin } from "vite-plugin-vue2"
export default defineConfig({
    resolve: {
        alias: {
          '@': path.resolve(__dirname, 'src'),
          '_c': path.resolve(__dirname, 'src/components'),
          '_wc': path.resolve(__dirname, 'src/components/wisdom-city'),
          '_vc': path.resolve(__dirname, 'src/view/components'),
          '_conf': path.resolve(__dirname, 'src/config'),
          '#': path.resolve(__dirname, 'types'),
        },
        extensions: ['.mjs', '.js', '.ts', '.jsx', '.tsx', '.json', '.vue']
      },
    plugins: [createVuePlugin()],
})
